﻿@page "/competition/competitionDetails/{Id:int}"

@using Business.Repository.IRepository
@using Models.CompetitionData
@using Cronus_Server.Pages.Competition.CompetitionRound
@using Cronus_Server.Pages.Competition.CompetitionTable
@using Cronus_Server.Pages.Competition.CompetitionTeam
@inject ICompetitionRepository CompetitionRepository 

<div class="row mt-4">
    <div class="col-8">
        <h4 class="card-title text-info">@Competition.Name</h4>
    </div>
    <TabControl>
        <TabPage Text="Table">
            <TableList CompetitionId=@Id />
        </TabPage>

        <TabPage Text="Round">
            <RoundList CompetitionId=@Id />
        </TabPage>

        <TabPage Text="Team">
            <CompetitionTeamList CompetitionId=@Id />
        </TabPage>

    </TabControl>
</div>


@code{
    [Parameter]
    public int Id { get; set; }
    private CompetitionDTO Competition { get; set; } = new CompetitionDTO();

    protected async override Task OnInitializedAsync()
    {
        Competition = await CompetitionRepository.Get(Id);
    }
}
